Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DBD/SQLite.pm) perl(DBI.pm) perl(Digest/SHA.pm) perl(Dpkg/Control/Hash.pm) perl(File/FnMatch.pm) perl(HTTP/Server/Simple/CGI.pm) perl(HTTP/Server/Simple/Static.pm) perl(JSON.pm) perl(List/MoreUtils.pm) perl(Locale/gettext.pm) perl(Memoize.pm) perl(Text/CSV.pm) perl(Text/Glob.pm) perl(Text/Iconv.pm) perl(URI/Escape.pm) perl(WWW/Curl/Easy.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define autorelease 1

Name:           dgit
Version:        11.6
Release:        alt1_1
Summary:        Integration between git and Debian-style archives
License:        GPLv3+
URL:            https://browse.dgit.debian.org/dgit.git/
Source0:        https://ftp.debian.org/debian/pool/main/d/%{name}/%{name}_%{version}.tar.gz
BuildRequires:  rpm-build-perl
BuildRequires:  perl-podlators
Requires:       devscripts python3-module-devscripts
Requires:       curl
Requires:       git
Requires:       dpkg
Requires:       tar
Requires:       coreutils
BuildArch:      noarch
Source44: import.info

%description
dgit (with the associated infrastructure) makes it possible to
treat the Debian archive as a git repository:

"dgit push" constructs uploads from git commits

"dgit clone" and "dgit fetch" construct git commits from uploads.


%prep
%setup -q -n work


%build


%install
# We don't do an install-infra, not sure if the Debian specific
# infrastructure tools would make sense to be packaged in Fedora.
make install DESTDIR="%{buildroot}" \
        prefix="%{_prefix}" \
        bindir="%{_bindir}" \
        mandir="%{_mandir}" \
        perldir="%{perl_vendor_privlib}" \
        infraexamplesdir="%{_docdir}/%{name}/examples"


%files
%{_bindir}/dgit
%{_bindir}/git-playtree-setup
%{_datadir}/%{name}
%{_mandir}/man1/dgit*.1*
%{_mandir}/man7/dgit*.7*
%{perl_vendor_privlib}/Debian
%doc debian/changelog README.*
%doc --no-dereference debian/copyright

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 11.6-alt1_1
- update to new release by fcimport

* Sat Sep 16 2023 Igor Vlasenko <viy@altlinux.org> 11.3-alt1_1
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 11.1-alt1_1
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 10.6-alt1_1
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 9.15-alt1_1
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 9.14-alt1_2
- update to new release by fcimport

* Wed Oct 13 2021 Igor Vlasenko <viy@altlinux.org> 9.14-alt1_1
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 9.13-alt1_2
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 9.13-alt1_1
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 9.12-alt2_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 9.12-alt1_1
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 9.10-alt1_1
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 9.7-alt1_1
- new version

